//$Id: $
package org.hibernate.lucene.test;

import org.apache.lucene.analysis.StopAnalyzer;
import org.hibernate.event.PostDeleteEventListener;
import org.hibernate.event.PostInsertEventListener;
import org.hibernate.event.PostUpdateEventListener;
import org.hibernate.lucene.Environment;
import org.hibernate.lucene.store.RAMDirectoryProvider;
import org.hibernate.lucene.event.LuceneEventListener;

/**
 * @author Emmanuel Bernard
 */
public abstract class TestCase extends org.hibernate.test.annotations.TestCase {
	protected void setUp() throws Exception {
		//super.setUp(); //we need a fresh session factory each time for index set up
		buildSessionFactory( getMappings(), getAnnotatedPackages(), getXmlFiles() );
	}

	protected void configure(org.hibernate.cfg.Configuration cfg) {
		cfg.setProperty( "hibernate.lucene.default.directory_provider", RAMDirectoryProvider.class.getName() );
		cfg.setProperty( Environment.ANALYZER_CLASS, StopAnalyzer.class.getName() );
		LuceneEventListener del = new LuceneEventListener();
		cfg.getEventListeners().setPostCommitDeleteEventListeners( new PostDeleteEventListener[]{del} );
		cfg.getEventListeners().setPostCommitUpdateEventListeners( new PostUpdateEventListener[]{del} );
		cfg.getEventListeners().setPostCommitInsertEventListeners( new PostInsertEventListener[]{del} );
	}
}
